The Alternative Csound Reference Manual
Previous |  | Next

# mirror

mirror -- Reflects the signal that exceeds the low and high thresholds.

## Description

Reflects the signal that exceeds the low and high thresholds.

## Syntax

ar mirror asig, klow, khigh

ir mirror isig, ilow, ihigh

kr mirror ksig, klow, khigh

## Initialization

isig -- input signal

ilow -- low threshold

ihigh -- high threshold

## Performance

xsig -- input signal

klow -- low threshold

khigh -- high threshold

mirror "reflects" the signal that exceeds the low and high thresholds.

This opcode is useful in several situations, such as table indexing or for clipping and modeling a-rate, i-rate or k-rate signals.

## See Also

limit, wrap

## Credits

Author: Gabriel Maldonado
Italy

New in Csound version 3.49

Previous | Home | Next
midiprogramchange | Up | moog